OBS User unknown 2008-09-05 20:14:53 +00:00 committed by Git OBS Bridge
parent a40aba4c46
commit e5da6cbc1b
6 changed files with 143 additions and 25 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:2b6ebb8083c0143837d695548e2b8c6a9b604744a177edbf3233d53ab49051bb
size 17083052

3
clamav-0.94.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:ac4bc80900ec6fe355a852a3abee8f40fc1b2ed8c14c0b75b71246f495291f05
size 20346478

View File

@ -1,10 +0,0 @@
--- libclamav/regex/engine.c
+++ libclamav/regex/engine.c
@@ -662,6 +662,7 @@
/* "can't happen" */
assert(nope);
/* NOTREACHED */
+ return(NULL);
}
/*

18
clamav-test.patch Normal file
View File

@ -0,0 +1,18 @@
--- unit_tests/check_clamd.sh
+++ unit_tests/check_clamd.sh
@@ -24,6 +24,7 @@
shift
rm -f clamdscan.log
../clamd/clamd -c $conf_file || { echo "Failed to start clamd!" >&2; die 1;}
+ sleep 2
../clamdscan/clamdscan --version --config-file $conf_file 2>&1|grep "^ClamAV" >/dev/null || { echo "clamdscan can't get version of clamd!" >&2; die 2;}
../clamdscan/clamdscan --quiet --config-file $conf_file $* --log=clamdscan.log
if test $? = 2; then
@@ -38,6 +39,7 @@
shift
rm -f clamdscan.log
../clamd/clamd -c $conf_file || { echo "Failed to start clamd!" >&2; die 1;}
+ sleep 2
../clamdscan/clamdscan --quiet --fdpass --config-file $conf_file - <$1 --log=clamdscan.log
if test $? = 2; then
echo "Failed to run clamdscan!" >&2;

View File

@ -1,3 +1,60 @@
-------------------------------------------------------------------
Wed Sep 3 09:26:12 CEST 2008 - max@suse.de
- Added check-devel and valgrind to BuildRequires for 10.3 and
newer to support the new unit testing feature. This does not
add new runtime dependencies.
- New version: 0.94:
* fix out-of-memory null dereferenc (bb#1141)
* fix possible invalid memory access (bb#1089)
* fix error path memleaks and fd leaks (bb#1141)
* Logical Signatures: The logical signature technology uses
operators such as AND, OR and NOT to allow the combination
of more than one signature into one entry in the signature
database resulting in more detailed and flexible pattern
matching.
* Anti-phishing Technology: Users can now change the priority
and reporting of ClamAV's heuristic anti-phishing scanner
within the detection engine process.
* Disassembly Engine: The initial version of the disassembly
engine improves ClamAV's detection abilities.
* PUA Detection: Users can now decide which PUA signatures
should be loaded
* Data Loss Prevention (DLP): This version includes a new
module that, when enabled, scans data for the inclusion of
US formated Social Security Numbers and credit card numbers.
* IPv6 Support: Freshclam now supports IPv6
* Improved Scanning of Scripts: The normalization of scripts
now covers JavaScript
* Improved QA and Unit Testing: The improved QA process now
includes API testing and new library of test files in
various formats that are tested on a wide variety of systems.
-------------------------------------------------------------------
Tue Jul 8 14:44:33 CEST 2008 - max@suse.de
- New version 0.93.3 (bnc#406994):
* make sigtool compatible with the new OLE2 scan scheme (bb#1086)
* add missing checks for recv() failures (bb#1079)
* add missing check for file open failure (bb #1083).
* fix handling of nodes which also match single bytes (bb#1054)
* libclamav: faster loading of uncompressed .cld files, also
fixes bb#1064
* freshclam/manager.c: add missing closesocket on error path
(bb #1073).
-------------------------------------------------------------------
Mon Jun 16 15:57:42 CEST 2008 - max@suse.de

View File

@ -1,10 +1,17 @@
#
# spec file for package clamav (Version 0.93.1)
# spec file for package clamav (Version 0.94)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
@ -12,17 +19,23 @@
Name: clamav
%if 0%{?suse_version} >= 1010 || 0%{!?suse_version:1}
BuildRequires: bc gmp-devel pkgconfig zlib-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires: pwdutils
%endif
%if 0%{?suse_version} >= 0910
BuildRequires: sed sendmail sendmail-devel tcpd-devel
%endif
%if 0%{?suse_version} >= 1010
BuildRequires: bc gmp-devel pkgconfig zlib-devel
%endif
%if 0%{?suse_version} >= 1030
BuildRequires: check-devel pwdutils
%ifnarch ppc ppc64
BuildRequires: valgrind
%endif
%define clamav_check --enable-check
%else
%define clamav_check --disable-check
%endif
Summary: Antivirus Toolkit
Version: 0.93.1
Version: 0.94
Release: 1
License: GPL v2 or later
Group: Productivity/Security
@ -40,7 +53,7 @@ Source4: clamav-rpmlintrc
Source5: clamav-rcmilter
Source6: clamav-milter-sysconfig
Patch1: clamav-conf.patch
Patch3: clamav-regex.patch
Patch2: clamav-test.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%description
@ -79,7 +92,7 @@ Authors:
%prep
%setup -q
%patch1
%patch3
%patch2
%build
%if 0%{?suse_version} >= 1010
@ -101,6 +114,7 @@ export CFLAGS="%optflags -fno-strict-aliasing $CFLAGS"
%if 0%{?suse_version} >= 0910
--enable-milter \
%endif
%clamav_check \
--disable-zlib-vcheck
make %{?jobs:-j%jobs}
# SLES8 does not support %check
@ -260,6 +274,45 @@ for f in main daily; do
done
%changelog
* Wed Sep 03 2008 max@suse.de
- Added check-devel and valgrind to BuildRequires for 10.3 and
newer to support the new unit testing feature. This does not
add new runtime dependencies.
- New version: 0.94:
* fix out-of-memory null dereferenc (bb#1141)
* fix possible invalid memory access (bb#1089)
* fix error path memleaks and fd leaks (bb#1141)
* Logical Signatures: The logical signature technology uses
operators such as AND, OR and NOT to allow the combination
of more than one signature into one entry in the signature
database resulting in more detailed and flexible pattern
matching.
* Anti-phishing Technology: Users can now change the priority
and reporting of ClamAV's heuristic anti-phishing scanner
within the detection engine process.
* Disassembly Engine: The initial version of the disassembly
engine improves ClamAV's detection abilities.
* PUA Detection: Users can now decide which PUA signatures
should be loaded
* Data Loss Prevention (DLP): This version includes a new
module that, when enabled, scans data for the inclusion of
US formated Social Security Numbers and credit card numbers.
* IPv6 Support: Freshclam now supports IPv6
* Improved Scanning of Scripts: The normalization of scripts
now covers JavaScript
* Improved QA and Unit Testing: The improved QA process now
includes API testing and new library of test files in
various formats that are tested on a wide variety of systems.
* Tue Jul 08 2008 max@suse.de
- New version 0.93.3 (bnc#406994):
* make sigtool compatible with the new OLE2 scan scheme (bb#1086)
* add missing checks for recv() failures (bb#1079)
* add missing check for file open failure (bb #1083).
* fix handling of nodes which also match single bytes (bb#1054)
* libclamav: faster loading of uncompressed .cld files, also
fixes bb#1064
* freshclam/manager.c: add missing closesocket on error path
(bb #1073).
* Mon Jun 16 2008 max@suse.de
- Security update 0.93.1 (bnc#399302, CVE-2008-2713)
- Improved clamav-milter configuration and init script (bnc#382907)